@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;600&display=swap");

@tailwind base;
@tailwind components;
@tailwind utilities;

html,
body {
  padding: 0;
  margin: 0;
  font-family: "Poppins", sans-serif;
}

body {
  @apply bg-white text-black;
}

a {
  color: inherit;
  text-decoration: none;
}

* {
  box-sizing: border-box;
}

.container {
  @apply mx-auto px-4 sm:px-6;
}

.title--big {
  @apply text-2xl font-semibold lg:text-4xl;
}

.title--small {
  @apply text-xl font-semibold lg:text-2xl;
}

.title {
  @apply text-2xl font-semibold lg:text-3xl;
}

.text {
  @apply text-sm lg:text-lg;
}

.button {
  @apply inline-block rounded-md border border-blue bg-blue px-6 py-2 text-xs font-semibold uppercase tracking-widest text-white hover:border-blue hover:bg-white hover:text-blue lg:py-3 lg:px-12 lg:text-sm;
}

.space--standard {
  @apply py-12 lg:py-28;
}

.prefix {
  @apply flex items-center gap-2 text-sm font-semibold before:h-2 before:w-2 before:rounded-full before:bg-blue lg:text-base;
}

ul li {
  @apply relative pl-5
  after:absolute after:top-1 after:left-0 after:h-2 after:w-2 after:rounded-full after:bg-blue lg:after:top-2;
}

ol li {
  @apply relative before:inline-block before:w-5 before:pr-2 before:font-semibold before:text-blue lg:before:w-7;
}

.anchor {
  @apply inline-block rounded-full border border-blue py-2 px-10 text-xs font-semibold uppercase tracking-widest text-black hover:border-blue hover:bg-white hover:text-blue;
}

ol {
  counter-reset: my-awesome-counter;
}

ol li {
  counter-increment: my-awesome-counter;
}

ol li::before {
  content: counter(my-awesome-counter) ". ";
}

.form__label {
  @apply block pb-1 text-xs font-bold 2xl:text-sm;
}

.form__input {
  @apply block w-full rounded border border-gray-100 bg-gray-100 p-3 py-2 text-xs text-black placeholder:text-gray-800;
}

.form__error {
  @apply mt-1 text-xs text-red-600;
}

.form__input__checkbox {
  @apply translate-y-1;
}
